Bug 70119 - kcalc / fcntl: Bad file descriptor
Summary: kcalc / fcntl: Bad file descriptor
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kdeutils (Show other bugs)
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-30 16:17 UTC by Michael Schwendt
Modified: 2007-04-18 16:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-31 12:53:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2002-07-30 16:17:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
Upon running "kcalc" in xterm, I get:

fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor

It fails to open /usr/lib/qt-3.0.5/etc/settings/.qtrc.lock and subsequently runs
fcntl64 on file descriptor -1.


Version-Release number of selected component (if applicable):
3.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. xterm -e kcalc

Comment 1 Bernhard Rosenkraenzer 2002-07-31 12:53:07 UTC
Fixed in the current version of Qt.

Comment 2 Michael Schwendt 2002-08-06 08:25:45 UTC
Confirmed with qt-3.0.5-9.



Note You need to log in before you can comment on or make changes to this bug.